Bug 147865 - MTR's report layout changed drastically; cuts hostnames
Summary: MTR's report layout changed drastically; cuts hostnames
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-11 21:41 UTC by Robert Scheck
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 15:03:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mtr-0.69-traditional_report.patch (1.43 KB, patch)
2005-02-11 21:41 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2005-02-11 21:41:45 UTC
Description of problem:
MTR's report layout changed drastically and longer hostnames are cut of now.

Version-Release number of selected component (if applicable):
mtr-0.69-2

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Install MTR 0.54
2. mtr -c 5 -4 -r google.com
3. Install MTR 0.69
4. mtr -c 5 -4 -r google.com
5. Compare the outputs
  
Actual results:
MTR's report layout changed drastically and longer hostnames are cut of now.

Expected results:
Longer hostnames shouldn't be cut of like in 0.54 - a larger limit is okay.

Comment 1 Robert Scheck 2005-02-11 21:41:45 UTC
Created attachment 111004 [details]
mtr-0.69-traditional_report.patch

Comment 2 Phil Knirsch 2005-09-05 12:50:30 UTC
The problem here is that with later mtr version a new field with the stdev has
been added which takes away approx. 6 chars and the width isn't fully used.

I'll see if i can squeeze out a little more space with the display, but your
patch would actually make the lines longer than 80 chars which would then look
horrible on any standard 80 char terminal.

Read ya, Phil 

Comment 3 Phil Knirsch 2005-09-05 15:03:05 UTC
OK, i've managed to squeeze out quite a bit actually. The layout changed a
little bit, but the overall appearance is a lot better.

Patch will be included in next release, and the output especially for reports
will look like this:

[root@hamburg mtr-0.69]# ./mtr -c 5 -4 -r google.com
hamburg.stuttgart.redhat.com      Snt: 5     Loss%  Last   Avg  Best  Wrst StDev
corerouter.stuttgart.redhat.com               0.0%   1.0   1.2   0.7   2.8   0.9
router-str.redhat.com                         0.0%   0.6   0.6   0.5   0.7   0.1
ar1.str.de.colt.net                           0.0%   1.2   1.6   1.1   3.4   1.0
212.121.151.245                               0.0%   1.1   1.1   1.0   1.3   0.1
ge0-0-pr1.AMS.router.colt.net                 0.0%  10.8  10.9  10.8  11.0   0.1
ge-5-1-0.mpr3.ams1.nl.above.net               0.0%  11.6  12.0  11.3  13.2   0.7
so-3-0-0.cr1.lga1.us.above.net                0.0%  96.9  97.1  96.9  97.3   0.2
so-1-0-0.cr2.lga1.us.above.net                0.0%  97.6  97.2  97.0  97.6   0.2
so-1-0-0.mpr2.iad1.us.above.net               0.0% 101.4 103.3 101.0 106.9   2.9
so-3-0-0.mpr2.iad5.us.above.net               0.0% 101.2 103.3 100.8 112.6   5.2
216.200.151.110.available.above.net           0.0% 140.0 147.6 136.4 165.5  11.2
216.239.46.246                                0.0%  97.0 110.3  97.0 163.3  29.6
216.239.48.110                               20.0%  99.6  99.3  98.6  99.6   0.5
216.239.37.99                                40.0%  97.7  97.8  97.7  97.9   0.1

Read ya, Phil

PS: Old behaviour, especially for interactive use can be achived using the
following options call: mtr -o "LSNABWV"


Note You need to log in before you can comment on or make changes to this bug.